
package nlib.cmm.service;

import java.util.List;
import java.util.Map;

import nlib.col.service.CollectionVO;

public interface MainService
{
	/**
	 * 지역문화원의 키워드 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<Map<String, String>> listKeywords(String mngOrgCd);


	/**
	 * 문화원 PICK한 자료 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listOrgPicks(String mngOrgCd);
	
	/**
	 * 유형별인기자료 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listPops(CollectionVO searchVO);
	
	/**
	 * 유형별인기자료 리스트를 조회한다. : 기본 자료유형 문서로 검색 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listPops(String mngOrgCd);
	
	/**
	 * 유형별인기자료 리스트를 조회한다.
	 * 
	 * @param mngOrgCd
	 * @param typeDivCd
	 * @return
	 */
	public List<CollectionVO> listPops(String mngOrgCd, String typeDivCd);
	
	/**
	 * 온라인자료관 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listOnline(String mngOrgCd);
	
}